0

I am trying to update drupal core from 9.4.3 to 9.4.5. Can anyone see why it is not working?

I executed composer update -W drupal/core* and it updated drupal/core-composer-scaffold and drupal/core-project-message, but not drupal/core nor drupal/core-recommended. So next I tried composer update -W drupal/core drupal/core-recommended, but no luck.

Running composer why-not -t drupal/core 9.4.5 gives:

drupal/core 9.4.3 Drupal is an open source content management platform powering millions of websites and applications.
└──drupal/core-recommended 9.4.3 (requires drupal/core 9.4.3)
   └──drupal/recommended-project (requires drupal/core-recommended ^9)

Running composer why-not -t drupal/core-recommended 9.4.5 gives:

drupal/core-recommended 9.4.3 Core and its dependencies with known-compatible minor versions. Require this project INSTEAD OF drupal/core.
├──drupal/core-recommended 9.4.5 (requires drupal/core 9.4.5) (circular dependency aborted here)
└──drupal/recommended-project (does not require drupal/core but 9.4.3 is installed) (circular dependency aborted here)

Running composer update -W drupal/core-recommended:9.4.5 drupal/core:9.4.5 is give a little better error message:

[...]
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - drupal/ckeditor_liststyle is locked to version 1.4.0 and an update of this package was not requested.
    - drupal/ckeditor_liststyle 1.4.0 requires drupal/ckeditor * -> could not be found in any version, there may be a typo in the package name.
  Problem 2
    - drupal/media[dev-1.x, 1.x-dev] require drupal/core ^8 -> found drupal/core[8.0.0-beta6, ..., 8.9.x-dev] but it conflicts with your root composer.json require (^9, 9.4.5).
    - drupal/photo_albums 1.0.2 requires drupal/media * -> satisfiable by drupal/media[dev-1.x, 1.x-dev (alias of dev-1.x)].
    - drupal/media 1.x-dev is an alias of drupal/media dev-1.x and thus requires it to be installed too.
    - drupal/photo_albums is locked to version 1.0.2 and an update of this package was not requested.
[...]

Both drupal/ckeditor_liststyle and drupal/photo_albums are installed, but neither required drupal core 8.x.

composer.json for drupal/ckeditor_liststyle

{
  "name": "drupal/ckeditor_liststyle",
  "type": "drupal-module",
  "description": "This plugin adds numbered list and ordered list properties dialogs (available in context menu) in CKEditor.",
  "keywords": ["Drupal", "ckeditor", "list", "list-style"],
  "license": "GPL-2.0-or-later",
  "homepage": "http://drupal.org/project/ckeditor_liststyle",
  "authors": [
    {
      "name": "Osman Gormus",
      "homepage": "https://www.drupal.org/u/osman",
      "role": "Maintainer"
    }
  ],
  "support": {
    "issues": "https://www.drupal.org/project/issues/ckeditor_liststyle",
    "source": "https://git.drupalcode.org/project/ckeditor_liststyle"
  },
  "require": {
    "drupal/ckeditor": "^8||^9"
  }
}

composer.json for drupal/photo_albums

{
  "name": "drupal/photo_albums",
  "type": "drupal-module",
  "description": "Provide photo album content.",
  "homepage": "https://www.drupal.org/project/photo_albums",
  "support": {
    "issues": "https://www.drupal.org/project/issues/photo_albums",
    "source": "https://www.drupal.org/project/photo_albums"
  },
  "authors": [
    {
      "name" : "Scot Hubbard",
      "homepage" : "https://www.drupal.org/u/scothubbard"
    }
  ]
}

The info.yml file for ckeditor_liststyle do require drupal:ckeditor as a dependency, but this should be pointing to the core version and not be a problem:

dependencies:
  - drupal:ckeditor

Likewise photo_albums requires media but does not specify a version:

dependencies:
  - menu_ui
  - crop
  - node
  - user
  - media
  - pathauto
  - field_group
  - media_library
  - focal_point
  - colorbox

No where in my project's composer.json does it require media nor ckeditor. They do show up in the composer.lock file as "drupal/ckeditor": "*", and "drupal/media": "*".

composer.json for project

{
    "name": "drupal/recommended-project",
    "description": "Project template for Drupal 8 projects with a relocated document root",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "homepage": "https://www.drupal.org/project/drupal",
    "support": {
        "docs": "https://www.drupal.org/docs/user_guide/en/index.html",
        "chat": "https://www.drupal.org/node/314178"
    },
    "repositories": [
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/twig_hash.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/views_sort_expression.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/twig-twig.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/statistics_counter.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/no_admin_destination_redirect.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/menu_token.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/ckeditor_tableselection.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/ckeditor_find.git"
        },
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        },
        {
            "type": "package",
            "package": {
                "name": "ckeditor/tabletoolstoolbar",
                "version": "0.0.1",
                "type": "drupal-library",
                "dist": {
                    "url": "https://download.ckeditor.com/tabletoolstoolbar/releases/tabletoolstoolbar_0.0.1.zip",
                    "type": "zip"
                }
            }
        },
        {
            "type": "package",
            "package": {
                "name": "ckeditor/tableselection",
                "version": "4.7.2",
                "type": "drupal-library",
                "dist": {
                    "url": "https://download.ckeditor.com/tableselection/releases/tableselection_4.7.2.zip",
                    "type": "zip"
                }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "ckeditor/find",
              "version": "4.14.1",
              "type": "drupal-library",
              "extra": {
                "installer-name": "ckeditor/plugins/find"
              },
              "dist": {
                "url": "https://download.ckeditor.com/find/releases/find_4.14.1.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "ckeditor/liststyle",
              "version": "4.8.0",
              "type": "drupal-library",
              "extra": {
                "installer-name": "ckeditor/plugins/liststyle"
              },
              "dist": {
                "url": "https://download.ckeditor.com/liststyle/releases/liststyle_4.8.0.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "ckeditor/resize",
              "version": "4.13.0",
              "type": "drupal-library",
              "dist": {
                "url": "https://download.ckeditor.com/resize/releases/resize_4.13.0.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "w8tcha/ckeditor-wordcount-plugin",
              "version": "1.17.8",
              "type": "drupal-library",
              "dist": {
                "url": "https://github.com/w8tcha/CKEditor-WordCount-Plugin/releases/download/v1.17.8/CKEditor-WordCount-Plugin.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "jackmoore/colorbox",
              "version": "dev-master",
              "type": "drupal-library",
              "dist": {
                "url": "https://github.com/jackmoore/colorbox/archive/refs/heads/master.zip",
                "type": "zip",
                "reference": "master"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "ckeditor/a11ychecker",
              "version": "1.1.1",
              "type": "drupal-library",
              "dist": {
                "url": "https://download.ckeditor.com/a11ychecker/releases/a11ychecker_1.1.1.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "ckeditor/balloonpanel",
              "version": "4.16.0",
              "type": "drupal-library",
              "dist": {
                "url": "https://download.ckeditor.com/balloonpanel/releases/balloonpanel_4.16.0.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "enyo/dropzone",
              "version": "5.9.2",
              "type": "drupal-library",
              "dist": {
                "url": "https://github.com/dropzone/dropzone/releases/download/v5.9.2/dist.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "package",
            "package": {
              "name": "moxiecode/plupload",
              "version": "3.1.3",
              "type": "drupal-library",
              "dist": {
                "url": "https://github.com/moxiecode/plupload/archive/refs/tags/v3.1.3.zip",
                "type": "zip"
              }
            }
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/archivesspace_tokens.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/msul_staff_db_connector.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/sliker_drupal_backend.git"
        },
        {
            "type": "vcs",
            "url": "https://{HIDDEN}/msul_bootstrap4.git"
        }
    ],
    "require": {
        "php": ">=7.0",
        "ckeditor/a11ychecker": "^1.1",
        "ckeditor/balloonpanel": "^4.16",
        "ckeditor/find": "^4.14.1",
        "ckeditor/liststyle": "^4.8.0",
        "ckeditor/resize": "^4.13",
        "ckeditor/tableselection": "^4.7",
        "ckeditor/tabletoolstoolbar": "^0.0.1",
        "composer/installers": "^1.9",
        "cweagans/composer-patches": "^1.7",
        "drupal/acl": "^1.0@beta",
        "drupal/address": "^1.7",
        "drupal/admin_toolbar": "^3.0",
        "drupal/advanced_help": "^1.0",
        "drupal/advanced_help_hint": "^1.0@RC",
        "drupal/anonymous_login": "^2.0",
        "drupal/book_blocks": "^1.6",
        "drupal/bootstrap4": "^2.1",
        "drupal/bootstrap_layouts": "^5.2",
        "drupal/ckeditor_a11ychecker": "^2",
        "drupal/ckeditor_balloonpanel": "^2",
        "drupal/ckeditor_blockquote_attribution": "^1.0@beta",
        "drupal/ckeditor_config": "^3.0",
        "drupal/ckeditor_find": "dev-8.x-1.x",
        "drupal/ckeditor_font": "^1.1",
        "drupal/ckeditor_liststyle": "^1.4",
        "drupal/ckeditor_resize": "^1.3",
        "drupal/ckeditor_specialchars": "^1.2",
        "drupal/ckeditor_tableselection": "dev-8.x-1.x",
        "drupal/ckeditor_tabletoolstoolbar": "^2.0",
        "drupal/ckwordcount": "^2",
        "drupal/clientside_validation": "^3",
        "drupal/colorbox": "^1.6",
        "drupal/colorbox_load": "^1.2",
        "drupal/conditional_fields": "^4.0@alpha",
        "drupal/config_single_export": "^1.3",
        "drupal/console": "^1.9",
        "drupal/content_access": "^1.0@alpha",
        "drupal/core-composer-scaffold": "^9",
        "drupal/core-project-message": "^9",
        "drupal/core-recommended": "^9",
        "drupal/create_menus_permission": "^1.0",
        "drupal/crop": "^2.1",
        "drupal/devel": "^4.0",
        "drupal/devel_entity_updates": "^3.0",
        "drupal/diff": "^1.0",
        "drupal/ds": "^3.9",
        "drupal/entity_clone": "^1.0@beta",
        "drupal/entity_embed": "^1.1",
        "drupal/entity_usage": "^2.0@beta",
        "drupal/environment_indicator": "^4.0",
        "drupal/field_group": "^3.1",
        "drupal/field_permissions": "^1.1",
        "drupal/field_validation": "^1.0@beta",
        "drupal/flood_control": "^2.1",
        "drupal/focal_point": "^1.5",
        "drupal/honeypot": "^2.0",
        "drupal/imce": "^2.2",
        "drupal/inline_responsive_images": "^2.2",
        "drupal/jquery_ui_accordion": "^1",
        "drupal/jquery_ui_datepicker": "^1.1",
        "drupal/kaltura_media": "^1.0",
        "drupal/ldap": "^4.0",
        "drupal/login_destination": "^2",
        "drupal/markup": "^1.0@beta",
        "drupal/masquerade": "^2.0@beta",
        "drupal/media_bulk_upload": "^1.0@alpha",
        "drupal/media_name": "^1.0@alpha",
        "drupal/menu_link_attributes": "^1.2",
        "drupal/menu_token": "dev-8.x-1.x",
        "drupal/module_filter": "^3.1",
        "drupal/no_admin_destination_redirect": "dev-8.x-1.x",
        "drupal/noreqnewpass": "^1.2",
        "drupal/oembed_providers": "^2.0",
        "drupal/page_manager": "^4.0@beta",
        "drupal/panels": "^4.6",
        "drupal/pathauto": "^1.6@beta",
        "drupal/photo_albums": "^1.0",
        "drupal/plupload": "^2",
        "drupal/range_slider": "^1.0",
        "drupal/realname": "^2.0@beta",
        "drupal/redirect": "^1.6",
        "drupal/require_revision_log_message": "^1.0",
        "drupal/scanner": "^1.0@RC",
        "drupal/scheduler": "^1.4",
        "drupal/search_api": "^1.19",
        "drupal/search_api_solr": "^4.1",
        "drupal/show_email": "^1.1",
        "drupal/sitemap": "^2",
        "drupal/statistics_counter": "dev-8.x-1.x",
        "drupal/taxonomy_manager": "^2.0",
        "drupal/taxonomy_unique": "^2.3",
        "drupal/term_reference_tree": "^1.1",
        "drupal/twig-twig": "dev-8.x-1.x",
        "drupal/twig_hash": "dev-8.x-1.x",
        "drupal/twig_tools": "^1.3",
        "drupal/twig_tweak": "^3.1",
        "drupal/typed_data": "^1.0@alpha",
        "drupal/ultimate_cron": "^2.0@alpha",
        "drupal/unused_modules": "^1.2",
        "drupal/user_expire": "^1.0",
        "drupal/viewfield": "^3.0@beta",
        "drupal/views_bulk_edit": "^2.5",
        "drupal/views_bulk_operations": "^4",
        "drupal/views_data_export": "^1.0",
        "drupal/views_field_view": "^1.0@beta",
        "drupal/views_sort_expression": "dev-8.x-1.x",
        "drupal/webform": "^6.1",
        "drupal/webform_access": "^6.0",
        "drupal/webform_handler_compare_fields": "^2.0",
        "drupal/webform_views": "^5.0@alpha",
        "drupal/workbench": "^1.1",
        "drupal/workbench_access": "^1.0@beta",
        "drupal/workbench_menu_access": "^1.3",
        "drush/drush": "^11",
        "enyo/dropzone": "^5",
        "jackmoore/colorbox": "dev-master",
        "moxiecode/plupload": "^3.1",
        "vlucas/phpdotenv": "^2.4",
        "w8tcha/ckeditor-wordcount-plugin": "^1.17",
        "web-services/archivesspace_tokens": "dev-master",
        "web-services/msul_bootstrap4": "dev-master",
        "web-services/msul_staff_db_connector": "dev-master",
        "web-services/sliker_drupal_backend": "dev-master",
        "webflo/drupal-finder": "^1.0.0",
        "webmozart/path-util": "^2.3",
        "wikimedia/composer-merge-plugin": "^2",
        "zaporylie/composer-drupal-optimizations": "^1.0"
    },
    "require-dev": {
        "drupal/config_delete": "^1.17",
        "drupal/core-dev": "^9",
        "kint-php/kint": "^3.3",
        "symfony/debug": "^4"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "sort-packages": true,
        "allow-plugins": {
            "composer/installers": true,
            "cweagans/composer-patches": true,
            "drupal/core-composer-scaffold": true,
            "drupal/core-project-message": true
        }
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            }
        },
        "composer-exit-on-patch-failure": false,
        "patchLevel": {
            "drupal/core": "-p2"
        },
        "installer-paths": {
            "web/core": [
                "type:drupal-core"
            ],
            "web/libraries/{$name}/dist": [
                "enyo/dropzone"
            ],
            "web/libraries/{$name}": [
                "type:drupal-library"
            ],
            "web/modules/contrib/{$name}": [
                "type:drupal-module"
            ],
            "web/profiles/contrib/{$name}": [
                "type:drupal-profile"
            ],
            "web/themes/contrib/{$name}": [
                "type:drupal-theme"
            ],
            "drush/Commands/contrib/{$name}": [
                "type:drupal-drush"
            ],
            "web/modules/custom/{$name}": [
                "type:drupal-custom-module"
            ],
            "web/themes/custom/{$name}": [
                "type:drupal-custom-theme"
            ]
        },
        "merge-plugin": {
            "include": [
                "web/modules/contrib/webform/composer.libraries.json"
            ]
        },
        "patches": {
            "drupal/realname": {
              "Add Twig Support to Realname (https://www.drupal.org/project/realname/issues/3207285)":"https://www.drupal.org/files/issues/2022-03-09/supportTwig-3207285-10.patch"
            }
        }
    }
}

I have even tried removing the composer.lock file, clearing the composer cache, removing all directories (except web/sites/*) and doing a fresh composer install, but to no avail.

update: Per suggestions from @GregW, I removed drupal/core from composer.json but it still has the exact same issue.

20
  • 1
    From this output it looks like composer.json specifies drupal/core-recommended: 9.4.3 specifically, which is why composer update won't upgrade it, but as you haven't posted a minimal example, I am just guessing.
    – cilefen
    Aug 5, 2022 at 14:05
  • Is drupal/recommended-project a dependency? If so, why?
    – cilefen
    Aug 5, 2022 at 14:07
  • I think you may be going down a rabbit hole with the modules at this point. Can you edit if your actual composer.json? If this is an older site, I suspect you have some root dependencies that are no longer needed (ie, your composer.json hasn't tracked with changes to the best practices).
    – mpdonadio
    Aug 5, 2022 at 20:38
  • 2
    If the OP is using core-recommended, then there’s no point in also adding core to composer.json as core-recommended already defines core as a dependency (and fixes it to a specific version).
    – Greg W
    Aug 6, 2022 at 3:20
  • 2
    Your composer.json shouldn’t directly include both drupal/core and drupal/core-recommended. Core-recommended includes core as a dependency along with specific versions of other dependencies to prevent version drift.
    – Greg W
    Aug 10, 2022 at 8:02

1 Answer 1

2

I finally found the reason after trying the same steps as you did!

I had installed the module "media_embed_extra" in version 1.0.0-beta1.

It caused the issue. Uninstalling and removing it from composer solved the issue.

If it's not exactly that module blocking you, see if

composer prohibits drupal/core-recommended 9.4.5

returns a module in the list of issues and try to uninstall and remove that. My assumption is, that there's an issue with the deprecated core: key in that module info file:

name: 'Media Embed Extra'
type: module
description: 'Provides extra override options to the embedded media.'
core: 8.x
core_version_requirement: ^8 || ^9
package: 'Media'
dependencies:
  - media

Edit: Indeed drupal/photo_albums has the same issue:

core: 8.x

So I'm quite sure that's the reason! I created an issue for you and contacted the maintainer.

The original cause for this might be: https://www.drupal.org/project/drupal/issues/3292380

2
  • In my case, both drupal/photo_albums and drupal/ckeditor_liststyle were causing the problem. I didn't need photo_albums so removed it. I was able to have composer change ckeditor_liststyle to the dev version (remember to run update.php after the change). After these two changes the update of core worked. Aug 16, 2022 at 19:49
  • 3
    @JPustkuchen: I think you linked the right issue drupal.org/project/drupal/issues/3292380, but your solution is not correct imho. It is not about the core key in info.yml, but about modules that require drupal modules in their composer.json (like drupal/ckeditor). Workaround for this is to use "provide": { "drupal/ckeditor": "*" } in your projects composer.json, see drupal.org/project/colorbox_media_video/issues/… Sep 12, 2022 at 5:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.